Package org.zkoss.zk.ui.util

## Class SimpleThemeURIModifier

- java.lang.Object
- - org.zkoss.zk.ui.util.SimpleThemeURIModifier

- All Implemented Interfaces:
    `ThemeURIModifier`

      public class SimpleThemeURIModifier
      extends java.lang.Object
      implements ThemeURIModifier

  A simple implementation of `ThemeURIModifier`. The adding priority is basically the index of the uri list.
  Since:
    9.6.0
  Author:
    leon

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleThemeURIModifier​(java.util.List<StyleSheet> originalList)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(int index, java.lang.String href)` | Inserts the specified CSS/WCS file uri at the specified position in the theme uri list according to the priority.
    `void` | `add​(int index, StyleSheet uri)` | Inserts the specified CSS/WCS file uri at the specified position in the theme uri list according to the priority.
    `void` | `add​(java.lang.String href)` | Appends the specified CSS/WCS file uri to the end of the theme uri list.
    `void` | `add​(StyleSheet uri)` | Appends the specified CSS/WCS file uri to the end of the theme uri list.
    `java.util.List<StyleSheet>` | `getURIs()` | Returns a read-only list of theme uri which present the current status of the CSS/WCS files list.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleThemeURIModifier

          public SimpleThemeURIModifier​(java.util.List<StyleSheet> originalList)

  - ### Method Detail

    - #### getURIs

          public java.util.List<StyleSheet> getURIs()

      Description copied from interface: `ThemeURIModifier`
      Returns a read-only list of theme uri which present the current status of the CSS/WCS files list.
      Specified by:
        `getURIs` in interface `ThemeURIModifier`
      Returns:
        a read-only list of StyleSheet

    - #### add

          public void add​(java.lang.String href)

      Description copied from interface: `ThemeURIModifier`
      Appends the specified CSS/WCS file uri to the end of the theme uri list.
      Specified by:
        `add` in interface `ThemeURIModifier`
      Parameters:
        `href` - the specified CSS/WCS file uri

    - #### add

          public void add​(int index,
                          java.lang.String href)

      Description copied from interface: `ThemeURIModifier`
      Inserts the specified CSS/WCS file uri at the specified position in the theme uri list according to the priority.
      Specified by:
        `add` in interface `ThemeURIModifier`
      Parameters:
        `index` - the basis used to determine the insertion position
        `href` - the specified CSS/WCS file uri

    - #### add

          public void add​(StyleSheet uri)

      Description copied from interface: `ThemeURIModifier`
      Appends the specified CSS/WCS file uri to the end of the theme uri list.
      Specified by:
        `add` in interface `ThemeURIModifier`
      Parameters:
        `uri` - the specified CSS/WCS file uri

    - #### add

          public void add​(int index,
                          StyleSheet uri)

      Description copied from interface: `ThemeURIModifier`
      Inserts the specified CSS/WCS file uri at the specified position in the theme uri list according to the priority.
      Specified by:
        `add` in interface `ThemeURIModifier`
      Parameters:
        `index` - the basis used to determine the insertion position
        `uri` - the specified CSS/WCS file uri